> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify Specific Appraisal



## OpenAPI

````yaml put /client_reference/{client_reference_id}/appraisal/{appraisal_id}
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/appraisal/{appraisal_id}:
    put:
      tags:
        - default
      summary: Modify Specific Appraisal
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
        - $ref: '#/components/parameters/appraisal_id'
        - $ref: '#/components/parameters/client_id'
        - $ref: '#/components/parameters/session-id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                rpid:
                  type: integer
                  description: >-
                    This is the Replacement Product Identifier. The previous
                    response should have one or more Replacement Products. You
                    should take the value from whichever product you select from
                    field `grouped_prices.[Y].[X].pid` (where X is the numbered
                    product of the Y numbered group).
                cp_name_cart:
                  type: string
                  description: >-
                    Custom name for the claimed product (the cpid cannot be
                    changed).
                rp_name_cart:
                  type: string
                  description: Custom name for the replacement product.
                rp_pic_url:
                  type: string
                rp_price_date:
                  type: string
                  format: date-time
                replacement_cost_value:
                  type: number
                  multipleOf: 0.01
                  description: Modified product price.
                claimed_amount:
                  type: number
                  multipleOf: 0.01
                  description: >-
                    The value claimed by the policyholder (Purchase Price /
                    Repair).
                offer_id:
                  type: integer
                shop_name:
                  type: string
                shop_url:
                  type: string
              example:
                rpid: 12345683
                cp_name_cart: An updated CP name
                rp_name_cart: An updated RP name
                rp_pic_url: https://img.valuechecker.net/200x,---.jpg
                rp_price_date: '2024-05-07 10:13:44'
                replacement_cost_value: 638.95
                date_damage: '2024-05-07'
                date_purchase: '2024-05-01'
                cp_price_estimate: 650
                claimed_amount: 650
                offer_id: 123
                shop_name: Some shop - Global
                shop_url: https://www.some.shop/path
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 11:57:46 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: a0c6fdd5-4844-48b3-b1b8-06fdee3f2d88
          content:
            application/json:
              schema:
                type: object
              example: {}
        '401':
          $ref: '#/components/responses/401'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Appraisal id 239055 was not found
                event_code: ERNFAP
                event_dict:
                  event_severity: ERROR
                  title: Wrong "appraisal_id" value
                  description: The appraisal_id "239055" was not found
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
    appraisal_id:
      name: appraisal_id
      in: path
      schema:
        type: integer
      required: true
      description: The appraisal identifier.
      example: '97771'
    client_id:
      name: client_id
      in: query
      schema:
        type: integer
      example: '10'
      description: >-
        The client ID for the request. It's required if you have access to
        multiple clients with your API key. Otherwise, it's optional.
    session-id:
      name: session-id
      in: query
      schema:
        type: string
      example: a1b2c3d4e5f6g7h8i9j0
      description: Optional session identifier of the user.
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````